Slick-pg v0.8.4/v0.9.0 beta 发布

Tu_Minglei
 Tu_Minglei
发布于 2015年03月17日
收藏 0

Slick-pg v0.8.4 发布,这还是针对 slick-2.1 的,主要更新如下:

  • 更改 scala-reflect 依赖为默认 transitive,以后无需手动管理这个依赖  #135

  • 升级 postgres 驱动,以避免 slf4j 依赖泄露 #136

  • Joda Plain SQL 无法 parse DateTime with .SSSSSSS #137

p.s. 用户项目的 sbt 最好升级到最新版,因为最新版里对依赖管理做了很大增强。

Slick-pg v0.9.0 beta 发布,这是针对 slick-3.0 的,主要更新如下:

  • 升级到 slick-3.0.0-RC1

  • 更改 scala-reflect 依赖为默认 transitive,以后无需手动管理这个依赖  #135

  • 升级 postgres 驱动,以避免 slf4j 依赖泄露 #136

  • Plain SQL 无法 parse DateTime with .SSSSSSS #137 

p.s. 用户项目的 sbt 最好升级到最新版,因为最新版里对依赖管理做了很大增强。

Slick-pg 是一些针对 PostgreSQL 的 Slick 扩展,用于支持 PostgreSQL 的(特有)类型及/或相关函数。如果你对使用 Slick 来开发基于 PostgreSQL 的程序感兴趣,那么你会发现 slick-pg 非常有用。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Slick-pg v0.8.4/v0.9.0 beta 发布
加载中
返回顶部
顶部